Bug 425759 - Konsole alarm configuration missing
Summary: Konsole alarm configuration missing
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: 20.04.3
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-24 20:27 UTC by George R. Goffe
Modified: 2020-12-30 02:29 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George R. Goffe 2020-08-24 20:27:59 UTC
SUMMARY
I'm having trouble with konsole. I want to change the alarm from a sound to a flash. I don't see any place where this kind of change can be made.

STEPS TO REPRODUCE
1. 
2. 
3. 

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: plasma-desktop-5.19.4-2.fc33.x86_64
(available in About System)
KDE Plasma Version: kde-settings-plasma-32.2-2.fc33.noarch
KDE Frameworks Version: 
Qt Version: qt3-3.3.8b-84.fc33.x86_64

ADDITIONAL INFORMATION

This is a Fedora Core System (Rawhide, x86_64). ALL available updates/patches are installed.
Comment 1 George R. Goffe 2020-08-24 20:29:28 UTC
The sound part of this system is broken so NO audio alarms or alerts are effective.
Comment 2 Ahmad Samir 2020-08-24 21:10:38 UTC
You can achieve that, by editing ~/.local/share/konsole/<Profile name>.profile c.f. https://invent.kde.org/utilities/konsole/commit/2ba24db12c80fb834d139a69f7d15d22b5c1b40f

that setting doesn't have a GUI element to change it.
Comment 3 tcanabrava 2020-08-24 21:31:28 UTC
what do you mean a flash, you mean a visual beep?
if so, this is not in konsole but in systemsettings, accessibility, use visual bell.
Comment 4 Ahmad Samir 2020-08-24 22:04:28 UTC
Visual bell as in:
tput flash

in konsole it's implemented to invert the colours in the terminal display momentarily.
Comment 5 George R. Goffe 2020-08-25 23:47:33 UTC
Hi,

Thanks to those who responded.

I can see that I left some information out of my initial report.

I am not using the KDE desktop at this time. I think that this is where the KDE settings and not in konsole.

I will try the .local change

I REALLY LIKE KONSOLE by the way.

Thanks again for responding.
Comment 6 George R. Goffe 2020-08-26 00:22:27 UTC
Hi,

The modification of the "Shell" profile made the whole konsole flash.

Thanks for all your help!

Regards,

George...
Comment 7 Christoph Feck 2020-09-10 09:24:12 UTC
George, can we close this ticket as resolved?
Comment 8 George R. Goffe 2020-09-13 23:24:39 UTC
Christoph,

Yes... and MANY thanks for the information.

Best regards... STAY SAFE!

George...
Comment 9 Christoph Feck 2020-09-14 18:10:31 UTC
Thanks for the update; changing status.
Comment 10 Kurt Hindenburg 2020-12-30 02:29:31 UTC
Git commit de9e92b81f57723c6578aed2c991b653243359f5 by Kurt Hindenburg, on behalf of Ahmad Samir.
Committed on 30/12/2020 at 02:20.
Pushed by hindenburg into branch 'master'.

EditProfileDialog: add GUI to change the terminal bell mode

The feature has been in the profile settings for a long time, but without
being exposed in the UI.
Related: bug 407821

M  +12   -0    src/widgets/EditProfileDialog.cpp
M  +18   -0    src/widgets/EditProfileGeneralPage.ui

https://invent.kde.org/utilities/konsole/commit/de9e92b81f57723c6578aed2c991b653243359f5
Comment 11 Kurt Hindenburg 2020-12-30 02:29:47 UTC
Git commit c3a230c98eb9a1434e0ebd4c307285d371a347b4 by Kurt Hindenburg, on behalf of Ahmad Samir.
Committed on 30/12/2020 at 02:20.
Pushed by hindenburg into branch 'master'.

ViewContainer: take into account Profile::BellMode when setting tab icon

If the BellMode Profile property is set to NoBell, don't change the tab
icon on Bell events.

M  +10   -6    src/widgets/ViewContainer.cpp

https://invent.kde.org/utilities/konsole/commit/c3a230c98eb9a1434e0ebd4c307285d371a347b4